# Fetch user status

Retrieves a paginated list of statuses for a specific user.

Endpoint: GET /users/{user_id}/statuses
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

## Query parameters:

  - `page` (integer)
    The page number to retrieve.

  - `per_page` (integer)
    The number of items to return per page.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.assignable_id` (integer,null)
    The ID of the assignable (such as project or leave type) the user is currently working on.
    Example: 4

  - `data.created_at` (string, required)
    The time the status was created.
    Example: "2013-09-12T14:33:05Z"

  - `data.current_task` (string,null)
    The name of the current task.

  - `data.end` (string,null)
    The end date of the status.

  - `data.id` (integer, required)
    The unique ID of the status.
    Example: 1

  - `data.message` (string,null)
    A message associated with the status.
    Example: "Hacking away"

  - `data.start` (string,null)
    The start date of the status.

  - `data.status` (string, required)
    The status of the user.
    Enum: "ITO", "WFH", "SIC", "OOO", "VAC", "OOF"

  - `data.updated_at` (string, required)
    The time the status was last updated.
    Example: "2013-09-12T14:33:05Z"

  - `data.user_id` (integer, required)
    The ID of the user.
    Example: 1

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


